#!/bin/bash

export CUDA_VISIBLE_DEVICES='0'

da_method_list="PAC"
backbone_list="TCN"
unlbl_ratio_list="0.95 0.9 0.7"
kernel_type_list="linear"
num_ep_list="150"
post_ep_list="50"

save_dir='./Experiments_baselines'
data_path='../../Datasets/'
dataset_list='PTBXL'
mix_type="cross"

for method in $da_method_list
do
    for num_epochs in $num_ep_list
    do
        for post_epochs in $post_ep_list
        do
            for dataset in $dataset_list
            do
                for backbone in $backbone_list
                do 
                    for unlbl_ratio in $unlbl_ratio_list
                    do
                        for kernel_type in $kernel_type_list
                        do 
                            exp="${dataset}_${method}_${backbone}_Ep_${num_epochs}_unlbl_${unlbl_ratio}"
                            python main_MoSSDA-baseline.py \
                                --save_dir $save_dir \
                                --exp_name $exp \
                                --da_method $method \
                                --data_path $data_path \
                                --dataset $dataset \
                                --backbone $backbone\
                                --unlabeled_ratio $unlbl_ratio \
                                --kernel_type $kernel_type\
                                --num_runs 1 \
                                --device cuda \
                                --num_epochs $num_epochs \
                                --post_epochs $post_epochs \
                                --mix_type $mix_type\
                                --mmd_weight "0.5" \
                                --ctr_weight "0.5"\
                                --learning_rate "0.001" 
                        done
                    done
                done
            done
        done
    done
done